RagTime5StyleManagerInternal::ColorFieldParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5StyleManagerInternal::ColorFieldParser Struct Reference

Internal: the helper to read field color field for a RagTime5StyleManager. More...

Inheritance diagram for RagTime5StyleManagerInternal::ColorFieldParser:

## Public Member Functions
| ColorFieldParser ()
| constructor More...
virtual | ~ColorFieldParser ()
| destructor More...
std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field More...

## Public Attributes
std::vector< MWAWColor > | m_colorsList
| a map id to color More...
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read field color field for a RagTime5StyleManager.

## Constructor & Destructor Documentation

## § ColorFieldParser()

RagTime5StyleManagerInternal::ColorFieldParser::ColorFieldParser | ( |  | ) |
| inline

constructor

## § ~ColorFieldParser()

RagTime5StyleManagerInternal::ColorFieldParser::~ColorFieldParser | ( |  | ) |
| virtual

destructor

Referenced by ColorFieldParser().

## Member Function Documentation

## § getZoneName()

std::string RagTime5StyleManagerInternal::ColorFieldParser::getZoneName | ( | int | n | ) | const
| inlinevirtual

return the debug name corresponding to a field

Reimplemented from RagTime5StructManager::FieldParser.

## § parseField()

virtual bool RagTime5StyleManagerInternal::ColorFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## § m_colorsList

std::vector<MWAWColor> RagTime5StyleManagerInternal::ColorFieldParser::m_colorsList

a map id to color

Referenced by RagTime5StyleManagerInternal::State::initColorsList(), parseField(), RagTime5StyleManagerInternal::GraphicFieldParser::parseField(), RagTime5StyleManagerInternal::GraphicFieldParser::parseHeaderField(), and RagTime5StyleManager::readGraphicColors().

The documentation for this struct was generated from the following file:

- RagTime5StyleManager.cxx